Package opennlp.tools.doccat

## Class DoccatFactory

- java.lang.Object
- - opennlp.tools.util.BaseToolFactory
  - - opennlp.tools.doccat.DoccatFactory

-     public class DoccatFactory
      extends BaseToolFactory

  The factory that provides Doccat default implementations and resources

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoccatFactory()` | Creates a `DoccatFactory` that provides the default implementation of the resources.
    `DoccatFactory​(FeatureGenerator[] featureGenerators)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DoccatFactory` | `create​(String subclassName, FeatureGenerator[] featureGenerators)` |
    `Map<String,​String>` | `createManifestEntries()` | Creates the manifest entries that will be added to the model manifest
    `FeatureGenerator[]` | `getFeatureGenerators()` |
    `void` | `setFeatureGenerators​(FeatureGenerator[] featureGenerators)` |
    `void` | `validateArtifactMap()` | Validates the parsed artifacts.

    - ### Methods inherited from class opennlp.tools.util.BaseToolFactory

      `create, create, createArtifactMap, createArtifactSerializersMap`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoccatFactory

          public DoccatFactory()

      Creates a `DoccatFactory` that provides the default implementation of the resources.

    - #### DoccatFactory

          public DoccatFactory​(FeatureGenerator[] featureGenerators)

  - ### Method Detail

    - #### createManifestEntries

          public Map<String,​String> createManifestEntries()

      Description copied from class: `BaseToolFactory`
      Creates the manifest entries that will be added to the model manifest
      Overrides:
        `createManifestEntries` in class `BaseToolFactory`
      Returns:
        the manifest entries to added to the model manifest

    - #### validateArtifactMap

          public void validateArtifactMap()
                                   throws InvalidFormatException

      Description copied from class: `BaseToolFactory`
      Validates the parsed artifacts. If something is not valid subclasses should throw an `InvalidFormatException`. Note: Subclasses should generally invoke super.validateArtifactMap at the beginning of this method.
      Specified by:
        `validateArtifactMap` in class `BaseToolFactory`
      Throws:
        `InvalidFormatException`

    - #### create

          public static DoccatFactory create​(String subclassName,
                                             FeatureGenerator[] featureGenerators)
                                      throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### getFeatureGenerators

          public FeatureGenerator[] getFeatureGenerators()

    - #### setFeatureGenerators

          public void setFeatureGenerators​(FeatureGenerator[] featureGenerators)